<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt';
import {type Ref, inject } from 'vue';


const receiptStore = useReceiptStore()

</script>

<template>
    <v-dialog
      v-model="receiptStore.receiptDialog"
      persistent
      width="auto"
    >
      <v-card>
        <v-card-title class="text-h5">
          Receipt
        </v-card-title>
        <v-card-text>
            {{ receiptStore.receipt }}
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="green-darken-1"
            variant="text"
            @click="receiptStore.receiptDialog = false"
          >
            ปิด
          </v-btn>
          <v-btn
            color="green-darken-1"
            variant="text"
            @click="() => {
                receiptStore.receiptDialog = false
                receiptStore.clear()
            }"
          >
            บันทึก
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
</template>

<style scoped>
</style>